# QSystemTrayIcon Class Reference

### [com.trolltech.qt.gui package]

Inherits QObject.

### Constructor

- void QSystemTrayIcon(QObject parent)
- void QSystemTrayIcon(QIcon icon, QObject parent)

### Constructor Properties

- prototype: The QSystemTrayIcon prototype object
- bool isSystemTrayAvailable()
- bool supportsMessages()
- NoIcon
- Information
- Warning
- Critical
- MessageIcon( value )
- Unknown
- Context
- DoubleClick
- Trigger
- MiddleClick
- ActivationReason( value )

### Prototype Object Properties

The QSystemTrayIcon prototype object inherits properties from the QObject prototype object and also has the following properties.

- QMenu contextMenu()
- QRect geometry()
- void setContextMenu(QMenu menu)
- void showMessage(String title, String msg, MessageIcon icon, int msecs)

### Instance Properties

QSystemTrayIcon objects inherit properties from the QSystemTrayIcon prototype object and also have the following properties.

- toolTip
- icon
- visible